
ChiliProject - Feature # 1029: Remove support for the mysql adapter in the Gemfile

Status: Open Priority: Normal
Author: Holger Just Category: Libraries
Created: 2012-06-05 Assignee: Holger Just
Updated: 2013-08-05 Due date:
Remote issue URL:
Affected version:
Description: For Ruby 1.8, we currently support the @mysql@ and @mysql2@ adapter. This is rather confusing for people 

and doesn't really help anyone. @mysql2@ is more stable, faster and maintained (which @mysql@ is not). I 
thus propose to:

* remove the @mysql@ adapter
* retain the @mysql@ group but include the @mysql2@ adapter in it
* deprecate the @mysql2@ group

Maybe, for 4.0 we can completely remove the @mysql2@ group (and the @mysql@ adapter). We then just 
need to adapt the upgrade guide.

Thoughts?

History
2012-06-07 04:19 pm - Felix Schäfer
Works for me, the deprecation of the mysql2 group should be well documented though. Couldn't we just leave it as an alias to the mysql group?

2012-06-15 09:04 pm - Holger Just
- Assignee set to Holger Just

- Target version set to 4.0.0

After discussion in IRC, we target this for 4.0 where we will completely switch to the @mysql2@ adapter

2013-08-05 06:34 am - Toshi MARUYAMA
- Target version changed from 4.0.0 to 3.9.0

commit:dff8cf66b50fcd2f1 removed mysql adapter.
